
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《SQL初学者指南》——1.9 SQL的重要性 / iVAN</title>

    <meta name="description" content="《SQL初学者指南》——1.9 SQL的重要性 1.9 SQL的重要性 SQL初学者指南在我们离开关系型数据库的主题之前,为了让你对关系型数据库的优点和SQL的重要性有更深入的了解,我们来回顾一下历史. 回到计算机的石器时代(20世纪60年代),人们通常把数据保存在磁带上,或者保存在磁盘存储器上的文件中.使用诸如FORTRAN和COBOL这样的语言编写的计算机程序,通常通过输入文件进行读取,并且一次只处理一条记录,最终将数据移动到输出文件.过程必然是很复杂的,因为需要把过程分解成多个单独的步骤,涉及临时表.排序以及多次数据传递,直到能够生成正">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《SQL初学者指南》——1.9 SQL的重要性</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>1.9 SQL的重要性</h3>
<p>SQL初学者指南<br />在我们离开关系型数据库的主题之前，为了让你对关系型数据库的优点和SQL的重要性有更深入的了解，我们来回顾一下历史。</p>
<p>回到计算机的石器时代（20世纪60年代），人们通常把数据保存在磁带上，或者保存在磁盘存储器上的文件中。使用诸如FORTRAN和COBOL这样的语言编写的计算机程序，通常通过输入文件进行读取，并且一次只处理一条记录，最终将数据移动到输出文件。过程必然是很复杂的，因为需要把过程分解成多个单独的步骤，涉及临时表、排序以及多次数据传递，直到能够生成正确的输出。</p>
<p>到了20世纪70年代，随着分层和网络数据库的发明和使用，数据库取得了长足的发展。这些新的数据库，通过复杂的内部指针系统，使得读取数据更容易。例如，程序可以读取客户的记录，自动指向该客户的所有订单，然后指向每笔订单的所有详细信息。但是，基本上仍然是一次只能处理一条记录的数据。</p>
<p>在关系数据库之前，数据存储的主要问题不是如何存储数据，而是如何访问数据。当开发出SQL语言时，关系型数据库才真正取得了突破，因为它采用了一种全新的方法来访问 数据。</p>
<p>和早期的数据检索方法不同，SQL允许用户每次访问一大批的数据。通过一条语句，SQL命令就能够检索或者修改多个表中的数千条记录。这就避免了很多的复杂性。当想要处理每一条记录时，计算机程序不再需要按照特定的顺序一次读取一条记录。过去需要数百行程序代码才能完成的任务，现在只需要几行代码就可以完成。</p>
<p>本文仅用于学习和交流目的，不代表异步社区观点。非商业转载请注明作译者、出处，并保留本文的原始链接。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 12:01:07</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ad%98%e5%82%a8/" title="数据存储">数据存储</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《SQL初学者指南》——1.9 SQL的重要性的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyvgD4p.html" rel="bookmark">《SQL初学者指南》&mdash;&mdash;1&period;4 其他数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 其他数据库 SQL初学者指南除了Microsoft SQL Server.Oracle和MySQL以外,还有很多其他的SQL数据库软件.一些比较流行的软件如下所示: Microsoft的Microsoft Access:IMB的DB2:IBM的Informix:Sybase的SQL Anywhere:开源数据库PostgreSQL.在列出的这些数据库中,Microsoft Access有一些特别,它对于那些想要学习SQL语言的新手特别有用.其实,Access是关系型数据库的一个图形化界面			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b22EW3b.html" rel="bookmark">《SQL初学者指南（第2版）》导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 SQL初学者指南(第2版) SQL(Structured Query Language)是用于和关系数据库交互的主要语言.本书的目标是成为SQL语言的一本有用的入门指南. 本书的另一个假想的书名是The Logic of SQL(&lt;SQL的逻辑&gt;).这是因为,和所有的计算机语言一样,SQL语言和冷冰冰.硬邦邦的逻辑而不是和英语词汇更加相关.尽管如此,本书的书名中还是保留了Language(语言)这个词,这有几方面的原因. 1．首先,SQL中基于语言的语法和其他的计算机语言有所区别.和其他			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyeyKEM.html" rel="bookmark">《SQL初学者指南》&mdash;&mdash;1&period;8 空值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.8 空值 SQL初学者指南 表中每个单独列的另一个重要属性是,该列是否允许包含空值.空值表示某个特定的数据元素没有数据.按照字面意思解释就是没包含数据.空值不等同于空格或空白.从逻辑上讲,空值和空格要区分对待.在第8章中,我们会详细介绍如何检索包含空值的数据. 许多SQL数据库在显示带有空值的数据时,使用大写的单词NULL来表示.这么做是要让用户能够识别它包含的是一个空值,而不是一个空格.我也会遵循这个惯例,在书中用NULL来强调它表示一个特殊类型的值. 数据库的主键不能包含NULL值.这是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNmoEyb.html" rel="bookmark">《SQL初学者指南》&mdash;&mdash;1&period;7 数据类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.7 数据类型 SQL初学者指南主键和外键为数据库表添加了结构.它们确保了数据库中所有的表都是可访问的,表之间有正确的关联.表中的每一列的另一个重要属性是数据类型. 数据类型是定义一个列所能包含数据的类型的一种方法.要为每个表中的每一列都指定一个数据类型.遗憾的是,各种关系型数据库所允许的数据类型和它们所代表的含义,有很大的不同.例如,Microsoft SQL Server.MySQL和Oracle,各自都有超过30种不同的可用数据类型. 即使只有3种数据库,我们都不可能去介绍每种可用的数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdBvVmb.html" rel="bookmark">《SQL初学者指南》&mdash;&mdash;1&period;10 小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.10 小结 SQL初学者指南本章介绍了关系型数据库的背景知识,以便我们能继续学习主要的话题,这些话题涉及从数据库中检索数据.我们已经讨论过关系型数据库的一些重要的特性,诸如主键.外键和数据类型.我们还介绍了数据中可能存在的NULL值.我们会在第8章中进一步讨论空值,在第18章中,再回到数据库维护的一般性主题,并在第19章中介绍数据库设计. 为什么和数据库设计相关的所有重要的主题,都放在了本书后边去介绍?在现实世界中,先要设计和创建数据库,然后才能检索数据.为什么在本书中,我没有遵循相同的顺序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNOwYxp.html" rel="bookmark">《SQL初学者指南》&mdash;&mdash;1&period;2 SQL的定义</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 SQL的定义 SQL初学者指南那么到底什么是SQL呢?简而言之,SQL就是维护和使用关系型数据库中的数据的一种标准的计算机语言.简单来说,SQL就是能让用户和关系型数据库进行交互的一种语言.SQL语言有很长的发展历史,很多组织都对它的发展做出了贡献,它最早的历史可以追溯到20世纪70年代.1986年,美国国家标准局(American National Standards Institute,ANSI)发布了该语言的第一套标准,从那时起,它经历过多次的修订. 一般来讲,SQL语言有3个主要			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zem5gOz.html" rel="bookmark">《SQL初学者指南》&mdash;&mdash;第1章 关系型数据库和SQL</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 关系型数据库和SQL SQL初学者指南在本章中,我们将介绍一些背景知识,以便于你能够很快地上手,能在后续的章节中编写SQL语句.本章有两个主题.首先是对本书所涉及到的数据库做一个概述,并且介绍和这些数据库是如何与SQL语言相关的.我还将介绍本书的特点,这能让你快速地决定,针对你正在使用的数据库,应该采用什么样的SQL语法. 其次,我们将介绍关系型数据库的一些关键的设计特点,并且会介绍表.行.列.键以及数据类型.在掌握了这些基本信息后,你马上就可以工作了.事不宜迟,让我们开始吧. 本文仅用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ01BqM.html" rel="bookmark">《SQL初学者指南（第2版）》&mdash;&mdash;第2章 基本数据检索</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章 基本数据检索 SQL初学者指南(第2版)关键字:SELECT.FROM 在本章中,我们将介绍SQL中最重要的主题:如何从数据库中检索数据.无论是在大企业还是小企业,SQL开发人员最常遇到的需求就是报表需求.当然,把数据放入到数据库中也不是轻松的活儿.不过,一旦数据存在于数据库之中了,业务分析师的精力就转向可供他们使用的数据财富,以及希望从所有数据中获取有用的信息.SQL语言就有了用武之地. 本书所介绍的数据检索的重点,和现实世界中SQL开发人员所面临的需求密切相关.要帮助企业破解数据库的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjdAGNp.html" rel="bookmark">《SQL初学者指南（第2版）》第1章 关系型数据库和SQL</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 关系型数据库和SQLSQL初学者指南(第2版)正如前言中所提到的,在与关系型数据库中的数据进行交互的时候,SQL是使用最广泛的软件工具.在这方面,SQL利用了自身的语言和逻辑两方面的要素.作为一种语言,SQL的独特语法用到了很多的英语单词,诸如WHERE.FROM和HAVING.作为一种逻辑表达,它指定了在关系型数据库中检索和修改数据的细节. 考虑到了这两方面因素,我们在本书中介绍SQL的各个方面的时候,尝试强调语言和逻辑这两部分.在所有语言中,无论它们是计算机语言还是口语,我们都需要学			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdLX6p.html" rel="bookmark" class="title">Dreamweaver MX 2004 行为之跳转菜单</a>
					<div>
						dreamweaver|菜单 · 跳转菜单 跳转菜单是文档内的弹出菜单,对站点访问者可见,并列出链接到文档或文件的选项.可以创建到整个 Web 站点内文档的链接.到其它 Web 站点上文档的链接.电子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMALXJb.html" rel="bookmark" class="title">Photoshop入门实例教程&colon;绘制光束翅膀</a>
					<div>
						光束翅膀并不是直接制作的,制作之前需要自己做出一些半透明的光束,后期再适当复制及变形处理,做出想要的翅膀.前期的光束非常重要,效果好坏直接影响后面的效果.最终效果 [1] [2] [3] [4] [5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd1LNz.html" rel="bookmark" class="title">PHP&plus;MySQL下分页显示的实现</a>
					<div>
						mysql|分页|显示 最近,论坛里有很我人都在问如何实现查询结果的分页显示.我希望下面的这段代码对你改进自己的程序能有所帮助.这些代码是用于MYSQL的,但很容易移植到其它SQL上. 由于每个程序的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaw9qp.html" rel="bookmark" class="title">程路遥：百度下拉列表算法调整 优化推广新方案</a>
					<div>
						昨日发现了百度搜索又一个修改,那就是对搜索引擎下拉列表这块进行修改,多的我先不说了,先上图: 看过这张图之后我相信一些平时观察细微的人立马就发现了,是的,就以前百度搜索引擎下拉列表的习惯来说,搜索某个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj4L0p.html" rel="bookmark" class="title">没有意义的刷新PV都是耍流氓</a>
					<div>
						什么是体验,每个互联网人心中都有一个定义,有人说是人网对话的友好性,有人说是用户第一视角的直观感受,百科对他的定义是用户体验(User Experience,简称UE)是一种纯主观在用户使用产品过程中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKY68p.html" rel="bookmark" class="title">xml文件正确性验证类实现</a>
					<div>
						很多时候我们的应用程序或者web程序需要用到xml文件进行配置,而最终的程序是需要给客户使用的,所以xml或者也需要客户来写,而客户来写的话的,就不能保证xml文件绝对的正确,于是我写了这个类,主要功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKQROM.html" rel="bookmark" class="title">HDU 4081 Qin Shi Huang&amp;&num;039&semi;s National Road System &lpar;次小生成树算法&rpar;</a>
					<div>
						链接: http://acm.hdu.edu.cn/showproblem.php?pid=4081 题目: Problem Description During the Warring States ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAPrBb.html" rel="bookmark" class="title">关于GridView中各种列后台取值的方法</a>
					<div>
						1.GridView中默认的是BoundField在后台可用GridView1.Rows[0].Cells[0]来取值. 2.如果是其他列如HyperLinkField,ButtonField,Che ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRlQOz.html" rel="bookmark" class="title">Fireworks教程：GIF动画效果的BANNER制作过程</a>
					<div>
						Fireworks不仅在网页制图.切图.与Dreamweaver结合上有其独到的优势,制作GIF动画也是它的强项,本文我们一起学习如何使用Fireworks MX制作一个平滑变色效果的Banner,相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd67d3b.html" rel="bookmark" class="title">腾达Tenda无线路由器如何修改WAN口速率&quest;</a>
					<div>
						第一步: 在浏览器中输入:192.168.0.1 按回车键,在跳转的页面中输入密码 admin 点击&quot;确定&quot;. 第二步: 点击&quot;高级设置&quot; 第三步: 点击&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGq1Wp.html" rel="bookmark" class="title">PS图层样式与蒙版的一些技巧</a>
					<div>
						  第一步 你有过这种滋味吧:有时候觉得自己真特么聪明,结果却在基本常识上摔了跟头,常识基本到让你觉得当初的自诩聪明简直愚蠢到家.呵呵,如果你跟我一样是个PS老手,却不知道有这一招,恭喜你!千万不要错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR979p.html" rel="bookmark" class="title">一个全新安装Win7的好方法</a>
					<div>
						  熟悉Win7最简单直接的方法,自然是经常使用Windows7,而要使用之前先要安装Windows7.对于Win7的安装方法,有硬盘安装法和光盘安装法. 对于XP或者Vista用户来说,快捷方便的方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmG1E7b.html" rel="bookmark" class="title">线程间通讯：WaitHandler使用实例及分析</a>
					<div>
						实例效果: 1.点击&quot;启动线程&quot;会启动一个线程t每隔2秒在listbox上插入一条新记录. 2.点击&quot;关闭线程&quot;会停止线程t,但不是马上停止而是等待线程t当次循 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o3wab.html" rel="bookmark" class="title">银行家、投资人：到年底金融业在AI上花费或至15亿美元，Fintech下一步怎么走？</a>
					<div>
						&lt;福布斯&gt;报道称,数据显示:2012到2015年,金融科技创造的价值总额增长了4倍,达到将近150亿美元.仅在2017年第二季度里,金融科技公司就进行了251起交易,创造了52亿美元的最高 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoPROb.html" rel="bookmark" class="title">启动Oracle实例报错ORA-27125解决办法</a>
					<div>
						有一台CentOS的机器装了Oracle,启动实例的时候报错ORA-27125 SQL&gt; startup ORA-27125: unable to create shared memory se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdExEdz.html" rel="bookmark" class="title">浅谈地方门户网站建设及运营方法</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 互联网是个神秘的地方,稍不注意就会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AG6Zz.html" rel="bookmark" class="title">提升谷歌排名需要重视的4大方面</a>
					<div>
						目前中国的实力日渐强大,许多公司也开始对国外产生贸易关系,但是想要提高知名度就需要使搜索引擎谷歌的排名获得提升.于是许多的外贸seo都在专研Google的排名因素,能够影响网站排名的因素有很多,但是能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBJJQM.html" rel="bookmark" class="title">美标、科勒等品牌马桶发生多起爆炸事故</a>
					<div>
						本报讯(记者 陈欣)这几天,有报道称,美标.科勒等品牌马桶发生多起爆炸事故,并且在美国和加拿大被大量召回,原因是使用了弗拉什梅特公司制造的气压冲水装置.昨日,记者和科勒.美标客服联系,对方称,因为使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xkERb.html" rel="bookmark" class="title">ubuntu开机的时候遇到的，怎么选？为什么会出现？</a>
					<div>
						问题描述 ubuntu开机的时候遇到的,怎么选?为什么会出现? 解决方案 grub多重启动菜单. 第一个进入ubuntu 第二个高级选项,比如加载驱动.进入控制台等,一般用户不用 第三个和第四个,内存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjRLKM.html" rel="bookmark" class="title">java class前如果不加public的话，类名和文件名可以不相同吧？这个程序为什么会出错？？？</a>
					<div>
						问题描述 java class前如果不加public的话,类名和文件名可以不相同吧?这个程序为什么会出错??? 解决方案 总结:如果使用记事本来写这个程序,是没有问题的,只要javac Saaa.ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNn9yWM.html" rel="bookmark" class="title">急，关于DataRowView作为属性绑定的问题，求大神帮忙</a>
					<div>
						问题描述 我有一个A类ClassA:INotifyPropertyChanged{publicDataRowViewRowView{get{...}set{...OnPropertyChanged(& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5997p.html" rel="bookmark" class="title">三天我让你的站被baidu收录</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 其实根据我个人的经验来看的话,只要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBe8qz.html" rel="bookmark" class="title">阿里巴巴集团拟以每股美国存托股票21美元的价格</a>
					<div>
						2月10日消息,阿里巴巴集团拟以每股美国存托股票21美元的价格,对高德公司股票进行现金收购.交易完成后,高德将成为阿里巴巴100%子公司,并融合进阿里生态体系基础上发展.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgqR4M.html" rel="bookmark" class="title">使用 arch-ppa 创建你自己的 Arch Linux 软件库</a>
					<div>
						是不是觉得 AUR 软件库维护太复杂?那么我们来给你介绍一个新工具,可以让你很方便的维护一个你自己的 Arch Linux 软件仓库. 我们在互联网上发现了一个叫做 arch-ppa 的工具,它刚刚发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq76B2z.html" rel="bookmark" class="title">微软Surface平板售价由一家在线的瑞典零售商提供</a>
					<div>
						微软http://www.aliyun.com/zixun/aggregation/549.html&quot; style=&quot;line-height: 1.6;&quot;&gt;发布Su ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYYk3b.html" rel="bookmark" class="title">Android应用中消息推送完美方案分享</a>
					<div>
						1.消息推送基础 消息推送,就是在互联网上通过定期传送用户需要的信息来减少信息过载的一项新技术.推送技术通过自动传送信息给用户,来减少用于网络上搜索的时间.它根据用户的兴趣来搜索.过滤信息,并将其定期 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qe8Wp.html" rel="bookmark" class="title">C&plus;&plus;设计模式之模板方法模式&lowbar;C 语言</a>
					<div>
						前言 离开了自己工作了将近两年的公司,日子不再有了忙碌,可以闲下来,躺在家里的床上,想着以后的路怎么走,说实话,真的很迷茫,从2012年毕业到现在,时间不长,但是学到的东西真的是非常有限,一直从事于W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE1V1z.html" rel="bookmark" class="title">web&period;config配置详细说明</a>
					<div>
						(一).Web.Config是以XML文件规范存储,配置文件分为以下格式     1.配置节处理程序声明     特点: 位于配置文件的顶部,包含在&lt;configSections&gt;标志中. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdjVBb.html" rel="bookmark" class="title">大数据企业&OpenCurlyDoubleQuote;睦合达&rdquo;进入新三板创新层初选名单</a>
					<div>
						近日,全国中小企业股份转让系统发布&lt;关于发布2017年挂牌公司创新层初步筛选名单的公告&gt;.公告中显示,本次入围创新层的公司共1329家,较去年增加了376家,其中包括神州优车.英雄互娱.创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4LgZb.html" rel="bookmark" class="title">IT高管辞职卖馒头</a>
					<div>
						站在新一年的起点上,每个人都会反省一下自己的生活状态.你是否已经对自己的工作开始厌倦,或者你的职业生涯已经进入瓶颈时期,或者对你目前平淡如水的生活开始麻木--也许,换一种活法,生活会豁然开朗.也许,面 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
